Bug 200316 - Open apps loose the CAC card after a C_logout from another app.
Summary: Open apps loose the CAC card after a C_logout from another app.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: coolkey   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bob Relyea
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 202042
TreeView+ depends on / blocked
 
Reported: 2006-07-26 20:03 UTC by Bob Relyea
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0631
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 15:31:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0631 normal SHIPPED_LIVE Low: coolkey security and bug fix update 2007-11-07 16:23:04 UTC

Description Bob Relyea 2006-07-26 20:03:40 UTC
Description of problem:

It seems that if C_Logout() is
called, open apps lose the CAC, and the next app to try C_Login() won't work
until the card is removed from the reader and inserted again.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Riek 2007-05-01 03:07:15 UTC
Found during cleanup and not sure if fixed yet.

Proposing for 5.1 and PM_ACK as component is already approved.

Comment 2 Bob Relyea 2007-06-02 01:19:41 UTC
This was fixed in RHEL 5.0 release.

Comment 4 Chandrasekar Kannan 2007-08-30 23:12:01 UTC
marking bug VERIFIED. tested with rhel5.1-x86_64-snapshot#4. 
logged in from firefox. logged in from thunderbird. 
logged out from thunderbird. relaunched firefox. Tried
to login from firefox again. works ok.

Comment 6 errata-xmlrpc 2007-11-07 15:31:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0631.html



Note You need to log in before you can comment on or make changes to this bug.